change php.ini path
Posted by: crashbdx (---.104.220.92.static.pldt.net)
Date: March 19, 2017 07:56AM

Hi everyone, i have a problem, i installed easyphp before then wamp, im using wamp now but seem that the called php.init is still the one from easyphp, at least when i use command line, how do i make php.ini from wamp the general one please ?

Here what i get :

ERROR: PHP Startup: Unable to load dynamic library 'C:\Program Files (x86)\EasyPHP-Devserver-16.1\eds-binaries\php\php5619vc11x86x160405100245\ext\php_pdo_oci.dll' - Le module spécifié est introuvable.

But i don't use easyphp anymore, i use wamp and i activated this library in wamp...

Options: ReplyQuote
Re: change php.ini path
Posted by: RiggsFolly (Moderator)
Date: March 19, 2017 11:52AM

Hi

Try search for `php.ini` across your whole disk. There should only be one in the \wamp\..... folders

Also check your PATH does not have a reference to a folder that contains the EasyPHP install folder. WAMPServer does not require anything to be in the PATH, but other software sometimes does.

A simple way to find which `php.ini` file is being used by the PHP CLI is to run
>php --ini

This will show you the ini file that it is using

---------------------------------------------------------------------------------------------
(Windows 7 Pro 32bit) (Wampserver 3.0.6 32bit)
<Apache 2.4.23/2.2.31> <PHP 7.1.2/7.0.16/5.6.28/5.5.38/5.4.45/5.3.29> <MySQL 5.7.10/5.6.17/5.5.28>
<MariaDB 10.1.21> <phpMyAdmin4.6.5.2> <MySQL Workbench 6.3.6.511>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin -- WAMPServer alternate Repo
-?-?-?- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -?-?-?-

Options: ReplyQuote
Re: change php.ini path
Posted by: Otomatic (Moderator)
Date: March 19, 2017 05:46PM

Hi,

> But i don't use easyphp anymore,
Well ! The best solution is to completely uninstall EasyPHP.
It's something that comes down to common sense.

------------------------------------------------------------------------------------------------------------
(W7 Pro 64 bit)-Wampserver 3.0.9 32 bit - Apache 2.4.26 - PHP 7.1.6/7.0.20/5.6.30 - MySQL 5.7.18 - MariaDB 10.2.6
Wampserver 3.0.9 64 bit - Apache 2.4.26 - PHP 7.1.6/7.0.20/5.6.30 - MySQL 5.7.18 - MariaDB 10.2.6
PhPMyAdmin 4.7.1 - MysqlDumper 1.24.5

Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote


Sorry, only registered users may post in this forum.